Subject: RE: Question about media desinations

From: "Paul Defrain" <[email-masked]>
Date: Tue, 8 Feb 2000 13:28:02 -0600

Andrew, 

Our application operates in the manner you suggest. The bearer is not
terminated to both participants in the SIP session (the endpoints of the
respective SDP and SIP sessions are not necessarilly the same). This is not
a violation of the standard as I've interpreted it. In some cases it is
absolutely necessary for the SDP participants to be different than the SIP
participants which furthers my conviction on this point. I'm interested to
hear of any other opinions concerning this matter.

Paul DeFrain
Nortel Networks, IP Services

> -----Original Message-----
> From:	Chalupka, Andrew [CAR:6M42:EXCH] 
> Sent:	Tuesday, February 08, 2000 12:55 PM
> To:	'SIP List'
> Subject:	Question about media desinations
> 
> Hi all, 
> 
> Apologies if this question isn't appropriate for the SIP list... 
> 
> Assume a user, "caller", initiates a SIP call with a second user,
> "callee", through the usual means (INVITE, 200 OK, ACK).  During this
> message exchange, each end speficies the IP address and UDP port number(s)
> to which the other end should send his audio stream.  Would it be a
> violation of the SIP standard for one of the participants to send his
> audio stream to a third party (say to a server which might transcode the
> sender's audio packets into a format the other end can understand) and
> then have that third party forward the packets on to the appropriate
> destination?
> 
> Section B.2 of RFC 2543 (pg 138) mentions... 
> 
> "For receive-only and send-or-receive streams, the port number and address
> in the session description indicate where the media stream should be sent
> to by the recipient of the session description, either caller or callee."
> 
> ...which isn't as strong as saying the port-address pair supplied by the
> other end *must* be used.  
> 
> Any clarifications? 
> 
> - Andrew 
>   
> 
>

---

From: [email-masked]
Date: Wed, 9 Feb 2000 13:14:12 -0000

Itamar,

You might like to look at a paper I wrote for the ETSI TIPHON project and
the associated presentation. Althought the presentation is predicated on
H.323 the problem is in fact not.

The documents are:-

16TD115
16TD137

Both of these documents can be downloaded from the ETSI website at:-

http://docbox.etsi.org/Tech-Org/TIPHON/Document/tiphon/ARCHIVES/1999/05-9912
-San_Diego/

regards

Richard
> From:	Itamar Gilad [SMTP:[email-masked]]
> Sent:	Wednesday, February 09, 2000 08:20
> To:	'Dean Willis'
> Cc:	'SIP List'
> Subject:	RE: Question about media desinations
> 
> 
> > From: Dean Willis [mailto:[email-masked]]
> > Sent: Wednesday, February 09, 2000 6:45 AM
> > To: Billy Biggs
> > Cc: Andrew Chalupka; 'SIP List'
> > Subject: RE: Question about media desinations
> > 
> 
> > 
> > The good news is that even at its worst, SIP is still easier 
> > to deal with in
> > the firewall than is H.323.
> > 
> > --
> > Dean
> > 
> > 
> 
> If I'm not mistaken RTP is as much of an headache in both cases.  Leaving
> the H.323 vs. SIP debate aside, I'm not sure I understand how SIP is
> supposed to traverse a Firewall. I found some scattered references to this
> in  RFC2543 and also something in Henning's FAQ, but nothing concrete
> enough
> to be used as a guideline for SIP/firewall implementors.  Anyone knows of
> other relevant documents on this subject?
> 
>   Itamar